//---------------------------------------------------------------------------

#ifndef FrmFullScreenFH
#define FrmFullScreenFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "FFBaseComponent.hpp"
#include "FFBasePlay.hpp"
#include "FFPlay.hpp"
//---------------------------------------------------------------------------
class TFrmFullScreen : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlStream;
    TFFPlayer *FFPlayer1;
    TTimer *TmrClose;
    void __fastcall PnlStreamDblClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormDblClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrCloseTimer(TObject *Sender);
private:	// User declarations
public:
    String STRM_ADDR;

    bool    FPlay;
    long    FConHandle;

    void __fastcall Connect();
    void __fastcall Disconnect();

public:		// User declarations
    __fastcall TFrmFullScreen(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmFullScreen *FrmFullScreen;
//---------------------------------------------------------------------------
#endif
